trixbox upgrade - Error summary

FreePBX, TrixBox, AsteriskGUI и др.
Всевозможные надстройки/интерфейсы к Asterisk в виде GUI.
[всё что прямо не относится к Asterisk писать сюда]

Модераторы: Admins, Модераторы

Ответить
dsa046
Сообщения: 160
Зарегистрирован: 06 июл 2009, 00:04

trixbox upgrade - Error summary

Сообщение dsa046 » 06 авг 2009, 12:39

Запустил обновление yum -y update

Код: Выделить всё

.....
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                     Arch   Version                     Repository
                                                                           Size
================================================================================
Installing:
 kmod-dahdi-linux            i686   2.2.0-4_trixbox.2.6.18_128.1.10.el5
                                                                trixbox28 3.6 M
 kmod-mISDN                  i386   1.1.7.2-2_centos5.2.6.18_128.1.10.el5
                                                                trixbox28 3.0 M
 mISDN-kmod-base             i386   1.1.7.2-2_centos5.2.6.18_128.1.10.el5
                                                                trixbox28 1.6 k
Updating:
 aastra-xml-scripts          noarch 2.2.1-1                     trixbox   2.4 M
 apr-util                    i386   1.2.7-7.el5_3.1             updates    76 k
 asterisk16                  i386   1.6.0.10-1_trixbox          trixbox28 4.2 k
 asterisk16-addons           i386   1.6.0.2-3_trixbox           trixbox28 2.7 k
 asterisk16-addons-bluetooth i386   1.6.0.2-3_trixbox           trixbox28  21 k
 asterisk16-addons-core      i386   1.6.0.2-3_trixbox           trixbox28  27 k
 asterisk16-addons-mysql     i386   1.6.0.2-3_trixbox           trixbox28  31 k
 asterisk16-addons-ooh323    i386   1.6.0.2-3_trixbox           trixbox28 417 k
 asterisk16-alsa             i386   1.6.0.10-1_trixbox          trixbox28  15 k
 asterisk16-configs          i386   1.6.0.10-1_trixbox          trixbox28 127 k
 asterisk16-core             i386   1.6.0.10-1_trixbox          trixbox28 2.2 M
 asterisk16-curl             i386   1.6.0.10-1_trixbox          trixbox28  12 k
 asterisk16-dahdi            i386   1.6.0.10-1_trixbox          trixbox28 187 k
 asterisk16-doc              i386   1.6.0.10-1_trixbox          trixbox28  11 k
 asterisk16-extra-sounds     i386   1.6.0.10-1_trixbox          trixbox28  14 M
 asterisk16-fax              i386   1.6.0.10-1_trixbox          trixbox28  19 k
 asterisk16-misdn            i386   1.6.0.10-1_trixbox          trixbox28  91 k
 asterisk16-moh              i386   1.6.0.10-1_trixbox          trixbox28 2.9 M
 asterisk16-odbc             i386   1.6.0.10-1_trixbox          trixbox28  42 k
 asterisk16-ogg              i386   1.6.0.10-1_trixbox          trixbox28  10 k
 asterisk16-pgsql            i386   1.6.0.10-1_trixbox          trixbox28  26 k
 asterisk16-resample         i386   1.6.0.10-1_trixbox          trixbox28 7.1 k
 asterisk16-snmp             i386   1.6.0.10-1_trixbox          trixbox28  15 k
 asterisk16-sounds           i386   1.6.0.10-1_trixbox          trixbox28  29 M
 asterisk16-speex            i386   1.6.0.10-1_trixbox          trixbox28  16 k
 asterisk16-sqlite3          i386   1.6.0.10-1_trixbox          trixbox28  11 k
 asterisk16-tds              i386   1.6.0.10-1_trixbox          trixbox28  13 k
 asterisk16-voicemail        i386   1.6.0.10-1_trixbox          trixbox28  69 k
 asterisk16-xmpp             i386   1.6.0.10-1_trixbox          trixbox28  72 k
 bind                        i386   30:9.3.4-10.P1.el5_3.3      updates   954 k
 bind-libs                   i386   30:9.3.4-10.P1.el5_3.3      updates   836 k
 bind-utils                  i386   30:9.3.4-10.P1.el5_3.3      updates   168 k
 dahdi-linux                 i386   2.2.0-4_trixbox             trixbox28 430 k
 dahdi-tools                 i386   2.2.0-4_trixbox             trixbox28 170 k
 dahdi-tools-doc             i386   2.2.0-4_trixbox             trixbox28  66 k
 httpd                       i386   2.2.3-22.el5.centos.2       updates   1.2 M
 libtiff                     i386   3.8.2-7.el5_3.4             updates   306 k
 libtiff-devel               i386   3.8.2-7.el5_3.4             updates   465 k
 libtonezone                 i386   2.2.0-4_trixbox             trixbox28  12 k
 mISDN                       i386   1.1.7.2-3_centos5           trixbox28  17 k
 mkinitrd                    i386   5.1.19.6-44.1               updates   449 k
 mod_ssl                     i386   1:2.2.3-22.el5.centos.2     updates    87 k
 mtr                         i386   2:0.72-1.el5.rf             trixbox    79 k
 nash                        i386   5.1.19.6-44.1               updates   1.1 M
 ngrep                       i386   1.45-1.rf                   trixbox    44 k
 nspr                        i386   4.7.4-1.el5_3.1             updates   119 k
 nss                         i386   3.12.3.99.3-1.el5.centos.2  updates   1.0 M
 python                      i386   2.4.3-24.el5_3.6            updates   5.9 M
 tb-scripts                  noarch 2.8.1-3                     trixbox28  18 k
 tzdata                      noarch 2009i-2.el5                 updates   783 k
Installing for dependencies:
 aastra-ipphone              noarch 2.5.1-1                     trixbox    30 M
 gsm                         i386   1.0.12-6                    trixbox    27 k
 usbutils                    i386   0.71-2.1                    base       42 k

Transaction Summary
================================================================================
Install      6 Package(s)
Update      50 Package(s)
Remove       0 Package(s)

Total size: 103 M
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /lib/modules/2.6.18-128.1.10.el5/dahdi/dahdi.ko from install of kmod-dahd                                                                             i-linux-2.2.0-4_trixbox.2.6.18_128.1.10.el5.i686 conflicts with file from packag                                                                             e kmod-dahdi-linux-2.2.0-3_RC4_trixbox.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/dahdi/voicebus/dahdi_voicebus.ko from in                                                                             stall of kmod-dahdi-linux-2.2.0-4_trixbox.2.6.18_128.1.10.el5.i686 conflicts wit                                                                             h file from package kmod-dahdi-linux-2.2.0-3_RC4_trixbox.2.6.18_128.1.10.el5.i68                                                                             6
  file /lib/modules/2.6.18-128.1.10.el5/dahdi/wcfxo.ko from install of kmod-dahd                                                                             i-linux-2.2.0-4_trixbox.2.6.18_128.1.10.el5.i686 conflicts with file from packag                                                                             e kmod-dahdi-linux-2.2.0-3_RC4_trixbox.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/dahdi/wctdm.ko from install of kmod-dahd                                                                             i-linux-2.2.0-4_trixbox.2.6.18_128.1.10.el5.i686 conflicts with file from packag                                                                             e kmod-dahdi-linux-2.2.0-3_RC4_trixbox.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/dahdi/wctdm24xxp/wctdm24xxp.ko from inst                                                                             all of kmod-dahdi-linux-2.2.0-4_trixbox.2.6.18_128.1.10.el5.i686 conflicts with                                                                              file from package kmod-dahdi-linux-2.2.0-3_RC4_trixbox.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/dahdi/wcte12xp/wcte12xp.ko from install                                                                              of kmod-dahdi-linux-2.2.0-4_trixbox.2.6.18_128.1.10.el5.i686 conflicts with file                                                                              from package kmod-dahdi-linux-2.2.0-3_RC4_trixbox.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/dahdi/xpp/xpd_bri.ko from install of kmo                                                                             d-dahdi-linux-2.2.0-4_trixbox.2.6.18_128.1.10.el5.i686 conflicts with file from                                                                              package kmod-dahdi-linux-2.2.0-3_RC4_trixbox.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/dahdi/xpp/xpd_fxo.ko from install of kmo                                                                             d-dahdi-linux-2.2.0-4_trixbox.2.6.18_128.1.10.el5.i686 conflicts with file from                                                                              package kmod-dahdi-linux-2.2.0-3_RC4_trixbox.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/dahdi/xpp/xpd_fxs.ko from install of kmo                                                                             d-dahdi-linux-2.2.0-4_trixbox.2.6.18_128.1.10.el5.i686 conflicts with file from                                                                              package kmod-dahdi-linux-2.2.0-3_RC4_trixbox.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/dahdi/xpp/xpd_pri.ko from install of kmo                                                                             d-dahdi-linux-2.2.0-4_trixbox.2.6.18_128.1.10.el5.i686 conflicts with file from                                                                              package kmod-dahdi-linux-2.2.0-3_RC4_trixbox.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/dahdi/xpp/xpp.ko from install of kmod-da                                                                             hdi-linux-2.2.0-4_trixbox.2.6.18_128.1.10.el5.i686 conflicts with file from pack                                                                             age kmod-dahdi-linux-2.2.0-3_RC4_trixbox.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/dahdi/xpp/xpp_usb.ko from install of kmo                                                                             d-dahdi-linux-2.2.0-4_trixbox.2.6.18_128.1.10.el5.i686 conflicts with file from                                                                              package kmod-dahdi-linux-2.2.0-3_RC4_trixbox.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/avmfritz.ko from install of kmod-m                                                                             ISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package                                                                              kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/hfcmulti.ko from install of kmod-m                                                                             ISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package                                                                              kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/hfcpci.ko from install of kmod-mIS                                                                             DN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package k                                                                             mod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/hfcsmini.ko from install of kmod-m                                                                             ISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package                                                                              kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/hfcsusb.ko from install of kmod-mI                                                                             SDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package                                                                              kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/l3udss1.ko from install of kmod-mI                                                                             SDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package                                                                              kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/mISDN_capi.ko from install of kmod                                                                             -mISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from packa                                                                             ge kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/mISDN_core.ko from install of kmod                                                                             -mISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from packa                                                                             ge kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/mISDN_debugtool.ko from install of                                                                              kmod-mISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from                                                                              package kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/mISDN_dsp.ko from install of kmod-                                                                             mISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from packag                                                                             e kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/mISDN_dtmf.ko from install of kmod                                                                             -mISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from packa                                                                             ge kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/mISDN_isac.ko from install of kmod                                                                             -mISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from packa                                                                             ge kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/mISDN_l1.ko from install of kmod-m                                                                             ISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package                                                                              kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/mISDN_l2.ko from install of kmod-m                                                                             ISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package                                                                              kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/mISDN_x25dte.ko from install of km                                                                             od-mISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from pac                                                                             kage kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/sedlfax.ko from install of kmod-mI                                                                             SDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package                                                                              kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/w6692pci.ko from install of kmod-m                                                                             ISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package                                                                              kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/xhfc.ko from install of kmod-mISDN                                                                             -1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package kmo                                                                             d-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686

[b]Error Summary[/b]
-------------
Как лечить?

bayadr
Сообщения: 132
Зарегистрирован: 21 фев 2008, 08:30
Откуда: Хабаровск

Сообщение bayadr » 06 авг 2009, 13:36

rpm -e --nodeps kmod-dahdi-linux dahdi-linux kmod-mISDN
yum update
yum install kmod-dahdi-linux dahdi-linux kmod-mISDN

dsa046
Сообщения: 160
Зарегистрирован: 06 июл 2009, 00:04

Сообщение dsa046 » 06 авг 2009, 17:15

На последней команде затыкается...

Код: Выделить всё

[trixbox1.localdomain ~]# yum install kmod-dahdi-linux dahdi-linux kmod-mISDN
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirror.netcologne.de
 * updates: mirror.netcologne.de
 * addons: mirror.netcologne.de
 * extras: mirror.netcologne.de
Excluding Packages from CentOS-5 - Base
Finished
Excluding Packages from CentOS-5 - Updates
Finished
Excluding Packages from CentOS-5 - Addons
Finished
Excluding Packages from CentOS-5 - Extras
Finished
Setting up Install Process
Parsing package install arguments
Package kmod-dahdi-linux-2.2.0-4_trixbox.2.6.18_128.1.10.el5.i686 already instal                                                                             led and latest version
Package dahdi-linux-2.2.0-4_trixbox.i386 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package kmod-mISDN.i386 0:1.1.7.2-2_centos5.2.6.18_128.1.10.el5 set to be i                                                                             nstalled
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package      Arch   Version                                  Repository   Size
================================================================================
Installing:
 kmod-mISDN   i386   1.1.7.2-2_centos5.2.6.18_128.1.10.el5    trixbox28   3.0 M

Transaction Summary
================================================================================
Install      1 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total size: 3.0 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /lib/modules/2.6.18-128.1.10.el5/extra/avmfritz.ko from install of kmod-m                                                                             ISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package                                                                              kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/hfcmulti.ko from install of kmod-m                                                                             ISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package                                                                              kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/hfcpci.ko from install of kmod-mIS                                                                             DN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package k                                                                             mod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/hfcsmini.ko from install of kmod-m                                                                             ISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package                                                                              kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/hfcsusb.ko from install of kmod-mI                                                                             SDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package                                                                              kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/l3udss1.ko from install of kmod-mI                                                                             SDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package                                                                              kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/mISDN_capi.ko from install of kmod                                                                             -mISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from packa                                                                             ge kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/mISDN_core.ko from install of kmod                                                                             -mISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from packa                                                                             ge kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/mISDN_debugtool.ko from install of                                                                              kmod-mISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from                                                                              package kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/mISDN_dsp.ko from install of kmod-                                                                             mISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from packag                                                                             e kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/mISDN_dtmf.ko from install of kmod                                                                             -mISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from packa                                                                             ge kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/mISDN_isac.ko from install of kmod                                                                             -mISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from packa                                                                             ge kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/mISDN_l1.ko from install of kmod-m                                                                             ISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package                                                                              kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/mISDN_l2.ko from install of kmod-m                                                                             ISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package                                                                              kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/mISDN_x25dte.ko from install of km                                                                             od-mISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from pac                                                                             kage kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/sedlfax.ko from install of kmod-mI                                                                             SDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package                                                                              kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/w6692pci.ko from install of kmod-m                                                                             ISDN-1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package                                                                              kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
  file /lib/modules/2.6.18-128.1.10.el5/extra/xhfc.ko from install of kmod-mISDN                                                                             -1.1.7.2-2_centos5.2.6.18_128.1.10.el5.i386 conflicts with file from package kmo                                                                             d-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686

Error Summary
-------------

[trixbox1.localdomain ~]#

Ded
Guru
Сообщения: 4428
Зарегистрирован: 10 янв 2005, 16:01
Откуда: Road Town, Tortola, British Virgin Islands

Сообщение Ded » 06 авг 2009, 17:29

Вам не нужен kmod-mISDN
Попробуйте удалить сначала конфликтующий package kmod-mISDN
rpm -e kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686

Попробуйте обойти вручную чтобы не курочить систему.

dsa046
Сообщения: 160
Зарегистрирован: 06 июл 2009, 00:04

Сообщение dsa046 » 06 авг 2009, 17:42

Говорит нужен для других пакетов

Код: Выделить всё

[trixbox1.localdomain ~]# rpm -e kmod-mISDN-1.1.7.2-1_centos5.2.6.18_128.1.10.el5.i686
error: Failed dependencies:
        mISDN-kmod is needed by (installed) asterisk16-misdn-1.6.0.10-1_trixbox.i386
        kmod-mISDN is needed by (installed) mISDN-1.1.7.2-3_centos5.i386
[trixbox1.localdomain ~]#

Ded
Guru
Сообщения: 4428
Зарегистрирован: 10 янв 2005, 16:01
Откуда: Road Town, Tortola, British Virgin Islands

Сообщение Ded » 06 авг 2009, 17:54

Ну Вы же знаете для чего asterisk16-misdn ? Для ISDN карт c портами BRI, у вас нет таких, можно --ignore-dependences

dsa046
Сообщения: 160
Зарегистрирован: 06 июл 2009, 00:04

Сообщение dsa046 » 06 авг 2009, 18:46

пока нет, планируется карта E1 - ей тоже драйвера ISDN нужны, или для потоковых карт свои драйвера

Ded
Guru
Сообщения: 4428
Зарегистрирован: 10 янв 2005, 16:01
Откуда: Road Town, Tortola, British Virgin Islands

Сообщение Ded » 06 авг 2009, 19:09

Для карт Е1 - другие драйвера, в большинстве случаев - dahdi (бывший zaptel) - тот самый kmod-dahdi-linux

bayadr
Сообщения: 132
Зарегистрирован: 21 фев 2008, 08:30
Откуда: Хабаровск

Сообщение bayadr » 06 авг 2009, 23:10

Во время апдейта значит опять проинсталился kmod-mISDN версии 1.1.7.2-1
удалите его еще раз
rpm -e --nodeps kmod-mISDN
а потом установите
yum install kmod-mISDN

dsa046
Сообщения: 160
Зарегистрирован: 06 июл 2009, 00:04

Сообщение dsa046 » 15 авг 2009, 13:34

bayadr
rpm -e --nodeps kmod-mISDN
а потом установите
yum install kmod-mISDN
Помогло, спасибо!

Ответить